# SOR51 - Get the evaluation of an order

Call FrequencyRecommended usage: At each order evaluation page displayMaximum usage: At each order evaluation page displayLocalizationThis resource supports locale parameter (see documentation)Localized output fields will be highlighted with an icon:

Endpoint: GET /api/mms/orders/{order_id}/evaluation
Security: Shop-API-Key

## Security:

  - `Shop-API-Key` (unknown)
    apiKey in header Authorization scopes: ROLE_SHOP_ADMIN, ROLE_PARTNER_EVALUATION_READ

## Path parameters:

  - `order_id` (string, required)

## Query parameters:

  - `shop_id` (integer)
    Use this parameter when your user has access to several shops. If not specified, the shop_id from your default shop will be used.

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `assessments` (array, required)
    List of assessments

  - `assessments.code` (string, required)
    Assessment code

  - `assessments.label` (string, required)
    Assessment label

  - `assessments.response` (string, required)
    Response associated with the assessment

  - `comment` (string)
    Evaluation comment

  - `customer_id` (string, required)
    Identifier of the customer who posted the evaluation

  - `date` (string, required)
    Evaluation creation date

  - `firstname` (string, required)
    First name of the customer who posted the evaluation

  - `grade` (integer, required)
    Evaluation grade

  - `last_updated_date` (string, required)
    Evaluation last updated date

  - `lastname` (string, required)
    Last name of the customer who posted the evaluation

  - `reply` (object)

  - `reply.comment` (string, required)
    Text of the reply

  - `reply.date` (string, required)
    Reply date

  - `reply.type` (string, required)
    Type of user who replied
Enum: `"OPERATOR"`, `"SHOP"`

  - `visible` (boolean, required)
    Whether the evaluation is visible or not

## Response 200 examples:

  - `Example with business values (application/json)` (unknown)

  - `Complete example with value types (application/json)` (unknown)

